/*
 * JBoss, Home of Professional Open Source
 * Copyright 2006, JBoss Inc., and others contributors as indicated 
 * by the @authors tag. All rights reserved. 
 * See the copyright.txt in the distribution for a
 * full listing of individual contributors. 
 * This copyrighted material is made available to anyone wishing to use,
 * modify, copy, or redistribute it subject to the terms and conditions
 * of the GNU Lesser General Public License, v. 2.1.
 * This program is distributed in the hope that it will be useful, but WITHOUT A 
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A 
 * PARTICULAR PURPOSE.  See the GNU Lesser General Public License for more details.
 * You should have received a copy of the GNU Lesser General Public License,
 * v.2.1 along with this distribution; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, 
 * MA  02110-1301, USA.
 * 
 * (C) 2005-2006,
 * @author JBoss Inc.
 */

package org.jboss.soa.bpel.samples.quickstart.secure_invoke;

import javax.jws.WebMethod;
import javax.jws.WebService;
import javax.jws.soap.SOAPBinding;
import javax.jws.WebParam;
import javax.jws.*;

@WebService(name = "SecureHelloWorld", targetNamespace = "http://secure_invoke/helloworld")
@HandlerChain(file="/jws_handlers.xml")
public class SecureHelloWorldWS
{
   @WebMethod
   public String sayHello(@WebParam(name = "toWhom")
   String toWhom)
   {
      System.out.println("\n");
	  System.out.println("*************************************************");
	  System.out.println("toWhom Parameter: " + toWhom );
	  System.out.println("*************************************************");
	  System.out.println("\n");
      String greeting = "Secure Hello " + toWhom + ". Sincerely, JBossWS";
      return greeting;

   }
   
   @WebMethod
   public String sayGoodbye(@WebParam(name = "toWhom")
   String toWhom)
   {

      String greeting = "Secure Goodbye Cruel World, sincerely '" + toWhom + "' at " + new java.util.Date();

      return greeting;

   }
}
